## January, 2016

Wed Jan 13, 2016 by Alan Orth in Notes

## 2016-01-13

- Move ILRI collection `10568/12503` from `10568/27869` to `10568/27629` using the move_collections.sh script I wrote last year.
- I realized it is only necessary to clear the Cocoon cache after moving collections—rather than reindexing—as no metadata has changed, and therefore no search or browse indexes need to be updated.
- Update GitHub wiki for documentation of maintenance tasks.

Read more →

## December, 2015

Wed Dec 02, 2015 by Alan Orth in Notes

## 2015-12-02

- Replace `lzop` with `xz` in log compression cron jobs on DSpace Test—it uses less space:

    # cd /home/dspacetest.cgiar.org/log
    # ls -lh dspace.log.2015-11-18*
    -rw-rw-r-- 1 tomcat7 tomcat7 2.0M Nov 18 23:59 dspace.log.2015-11-18
    -rw-rw-r-- 1 tomcat7 tomcat7 387K Nov 18 23:59 dspace.log.2015-11-18.lzo
    -rw-rw-r-- 1 tomcat7 tomcat7 169K Nov 18 23:59 dspace.log.2015-11-18.xz

Read more →

## November, 2015

Mon Nov 23, 2015 by Alan Orth in Notes

## 2015-11-22

- CGSpace went down
- Looks like DSpace exhausted its PostgreSQL connection pool
- Last week I had increased the limit from 30 to 60, which seemed to help, but now there are many more idle connections:

    $ psql -c 'SELECT * from pg_stat_activity;' | grep idle | grep -c cgspace
    78

Read more →